Todos os avisos / BE-2022-0013

BE-2022-0013

BE-2022-0013: Vulnerabilidades de leitura fora dos limites de análise de arquivo IFC em aplicações MicroStation e baseadas em MicroStation

Bentley ID: BE-2022-0013
ID CVE: CVE-2022-35904
Gravidade: 3.3
CVSS v3.1: AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N
Data de publicação: 2022-07-13
Data de revisão: 2022-07-13

Resumo
MicroStation e aplicações baseadas em MicroStation podem ser afetados por vulnerabilidades de leitura fora dos limites ao abrir arquivos IFC criados com códigos maliciosos. A exploração dessas vulnerabilidades poderia levar à divulgação de informações e à execução de códigos.

Detalhes
O uso de uma versão afetada do MicroStation ou de uma aplicação baseada em MicroStation para abrir um arquivo IFC contendo dados criados com códigos maliciosos pode forçar uma leitura fora dos limites. A exploração destas vulnerabilidades dentro da análise dos arquivos IFC pode permitir que um invasor leia informações no contexto do processo atual.

Versões afetadas

Aplicações Versões afetadas Versões mitigadas
MicroStation 10.16.* e versão anterior 10.16.03.* e mais recentes
Bentley View 10.16.* e versão anterior 10.16.03.* e mais recentes

 

Mitigações recomendadas
A Bentley recomenda atualizar para as versões mais recentes do MicroStation e das aplicações baseadas no MicroStation. Como melhor prática geral, também é recomendado abrir somente arquivos IFC provenientes de fontes confiáveis.

Reconhecimento
Obrigado a xina1i por descobrir essas vulnerabilidades.

Histórico de revisão

Data Descrição
2022-07-13 Primeira versão da assessoria
2022-07-18 Acréscimo do número de CVE